#!/bin/bash # test for an up interface != lo if test "x"`ifconfig | cut -d ' ' -f 1 | grep -v '^$' | grep -v lo` = "x"; then echo "There is no up interface, you can try to execute 'drvinst' to find drivers and 'dhcp-client' to configure your interface for DHCP." >&2 exit 5 fi # generate host keys mkdir -p /etc/dropbear [[ -f /etc/dropbear/dropbear_dss_host_key ]] || dropbearkey -t dss -f /etc/dropbear/dropbear_dss_host_key >/dev/null || { echo "Can't generate dsa host key" >&2 ; exit 4; } [[ -f /etc/dropbear/dropbear_rsa_host_key ]] || dropbearkey -t rsa -f /etc/dropbear/dropbear_rsa_host_key >/dev/null || { echo "Can't generate rsa host key" >&2 ; exit 3; } # set a password passwd=`genpasswd` if (( $? != 0 )); then reset exit $? fi sed -E -i -e 's/^root:[^:]*:/root:'"${passwd//\//\\/}"':/' /etc/passwd || { echo "Can't set password" >&2 ; exit 2; } # test for /dev/pts grep '^devpts /dev/pts devpts ' /proc/mounts >/dev/null 2>/dev/null || mount -t devpts devpts /dev/pts echo "" echo -n "Starting ssh daemon... " dropbear -E 2>/var/log/dropbear.log && echo "OK" || { echo "Failed" ; exit 1; } /mdv2008.1 Mageia Installer and base platform for many utilitiesThierry Vignaud [tv]
summaryrefslogtreecommitdiffstats
path: root/make_boot_img
diff options
context:
space:
mode:
authorFrancois Pons <fpons@mandriva.com>2001-08-24 09:19:31 +0000
committerFrancois Pons <fpons@mandriva.com>2001-08-24 09:19:31 +0000
commitbb168ec2d43cb9eeec299660d2a543019731097b (patch)
treee02534297c4e40ec2fd6eae4b7d228af2d87e752 /make_boot_img
parent37e33c69799c7d099a5dec951d76ce67693199a7 (diff)
downloaddrakx-bb168ec2d43cb9eeec299660d2a543019731097b.tar
drakx-bb168ec2d43cb9eeec299660d2a543019731097b.tar.gz
drakx-bb168ec2d43cb9eeec299660d2a543019731097b.tar.bz2
drakx-bb168ec2d43cb9eeec299660d2a543019731097b.tar.xz
drakx-bb168ec2d43cb9eeec299660d2a543019731097b.zip
added reference to second help page.
Diffstat (limited to 'make_boot_img')
-rwxr-xr-xmake_boot_img3
1 files changed, 2 insertions, 1 deletions
diff --git a/make_boot_img b/make_boot_img
index a0b381d26..5aa2c4fe2 100755
--- a/make_boot_img
+++ b/make_boot_img
@@ -146,7 +146,8 @@ prompt 1
timeout $timeout
display boot.msg
F1 help.msg
-F2 boot.msg
+F2 advanced.msg
+F3 boot.msg
label linux
kernel vmlinuz
append ramdisk_size=32000 initrd=$type.rdz $automatic root=/dev/ram3 vga=788